Subject: bug#44877: Root on LVM support

From: Mikhail Tsykalov <[email-masked]>
Date: Thu, 26 Nov 2020 02:53:36 +0300

Guix System in current state can't boot from lvm partition because grub 
can't find kernel and initrd. This also applies to systems where 
/gnu/store is on lvm partition. Grub has lvm support in the form of 
"lvm" module, but it isn't loaded currently. Making grub config 
generator emit "insmod lvm" before grub starts accessing stuff on 
/gnu/store (so immediately after initial commit) will fix this.